Update a service provider

Partially updates a SAML2 Service Provider. Only the fields included in the request body will be modified. Supports updating acs_url, slo_url, name_id_format and is_active.

Authentication

Api-Keystring

API key of the organization. Always sent together with the Secret-Access header.

Path parameters

sp_idintegerRequired

Headers

Secret-AccessstringRequired

Request

This endpoint expects an object.
acs_urlstringOptional
Assertion Consumer Service URL
slo_urlstringOptional
Single Logout URL
name_id_formatenumOptional
Name ID format
is_activebooleanOptional
Whether the SP is active

Response

Successful Response
messagestring
Message of the response
datetimestring
Datetime of the API in ISO Format
dataobjectOptional

Errors

400
Bad Request Error
404
Not Found Error
422
Unprocessable Entity Error